Page MenuHomePhabricator

[ICONS] clear search icon alignment
Closed, ResolvedPublic2 Estimated Story Points

Description

The clear search (X in the gray circle) icon is currently too high by about 1-2px.

Developer notes

The top positioning is 0.5em but needs to be 0.55em. Ideally this is calculated via variables - it should be the padding top above the input, half the height of the input and then minus half the icon size.

  • Do not hardcode this to a specific position (e.g. top: .55em). It should account for the user's browser font size and still be vertically centered

Event Timeline

This comment was removed by Jdlrobson.
ovasileva triaged this task as Medium priority.Sep 18 2019, 9:51 AM
ovasileva set the point value for this task to 2.Sep 19 2019, 6:23 PM
nray updated the task description. (Show Details)Sep 19 2019, 6:27 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)

Change 538929 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Clear search alignment

https://gerrit.wikimedia.org/r/538929

Change 538929 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Clear search alignment

https://gerrit.wikimedia.org/r/538929

Jdlrobson moved this task from Needs triage to MinervaNeue on the Mobile board.Sep 26 2019, 12:12 AM
alexhollender removed alexhollender as the assignee of this task.Sep 30 2019, 2:30 PM

Checked on Beta. Now it's 1-2px too low 🤦‍♂️

Change 539926 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Overlay header vertical padding to fix clear search alignment

https://gerrit.wikimedia.org/r/539926

Change 539963 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Move search element's clear icon into form container

https://gerrit.wikimedia.org/r/539963

Change 539962 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/MinervaNeue@master] Vertically center clear icon within form element

https://gerrit.wikimedia.org/r/539962

Change 539962 merged by Jdlrobson:
[mediawiki/skins/MinervaNeue@master] Vertically center clear icon within search form element

https://gerrit.wikimedia.org/r/539962

Change 539963 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Move search element's clear icon into form container

https://gerrit.wikimedia.org/r/539963

Change 539926 abandoned by Jdlrobson:
Overlay header vertical padding to fix clear search alignment

Reason:
Fixed elsewhere

https://gerrit.wikimedia.org/r/539926

ovasileva closed this task as Resolved.Oct 7 2019, 10:15 AM
ovasileva claimed this task.

:)